// Copyright (c) 2002-2006, Stefan Stiller.
package com.kiwisoft.generate;

import java.util.ResourceBundle;

import com.kiwisoft.utils.gui.table.TableConfiguration;

/**
 * @author Stefan Stiller
 * @version $Revision: 1.5 $, $Date: 2006/03/24 17:59:51 $
 */
public class DefaultTableConfiguration implements TableConfiguration
{
	private ResourceBundle bundle=ResourceBundle.getBundle(getClass().getName());
//	private TableConfigurationAdapter configuration;
	private String key;
	private boolean supportWidths=true;

	public DefaultTableConfiguration(String key)
	{
//		configuration=SQLPluginAppConfig.getInstance().getTableAdapter();
		this.key = key;
	}

	public void setSupportWidths(boolean supportWidths)
	{
		this.supportWidths=supportWidths;
	}

	public boolean isSupportWidths()
	{
		return supportWidths;
	}

	public boolean isSupportTitles()
	{
		return true;
	}

	public boolean isColumnIndexIdentifier()
	{
		return false;
	}

	public int getWidth(Object identifier)
	{
//		return configuration.getInt(key, identifier+".width", 100);
		return -1;
	}

	public void setWidth(Object identifier, int width)
	{
//		configuration.setInt(key, identifier+".width", new Integer(width));
	}

	public String getTitle(Object identifier)
	{
		return bundle.getString(key+"."+identifier);
	}

	public Integer getSortDirection(Object identifier)
	{
		return null;
	}

	public int getIndex(Object identifier)
	{
		return -1;
	}

	public void setSortIndex(Object identifier, int sortIndex)
	{
	}

	public void setIndex(Object identifier, int viewIndex)
	{
	}

	public void setSortDirection(Object identifier, Integer direction)
	{
	}

	public int getSortIndex(Object identifier)
	{
		return -1;
	}

	public void setHidden(Object identifier, boolean hidden)
	{
	}

	public boolean isHidden(Object identifier)
	{
		return false;
	}
}
