// Copyright (c) 2002-2006, Stefan Stiller.
package com.kiwisoft.utils.gui.adapters;

import com.kiwisoft.utils.ObservableBean;

/**
 * An adapter which binds a GUI component to a bean property. 
 *
 * @author Stefan Stiller
 */
public interface ComponentAdapter
{
	void bind(ObservableBean bean, String propertyName) throws Exception;

	void unbind();

	boolean stopEditing();
}
