// Copyright (c) 2002-2006, Stefan Stiller.
package com.kiwisoft.utils.gui.table;

import java.awt.Color;
import java.awt.Font;
import java.util.List;
import javax.swing.table.TableCellRenderer;

import com.kiwisoft.utils.gui.ComponentDecorator;

/**
 * @author Stefan Stiller
 * @version $Revision: 1.5 $, $Date: 2006/03/24 18:58:21 $
 */
public interface ObjectRenderer extends TableCellRenderer
{
	ObjectRenderer cloneRenderer();

	void setRowForeground(Color foreground);

	void setCellForeground(Color foreground);

	void setTextFont(Font font);

	void setDecorators(List<ComponentDecorator> decorators);

	void setRowBackground(Color background);

	void setCellBackground(Color background);

}
