// Copyright (c) 2002-2006, Stefan Stiller.
package com.kiwisoft.utils.gui.table;

import java.awt.event.KeyEvent;
import javax.swing.JTextField;
import javax.swing.KeyStroke;
import javax.swing.text.Document;

/**
 * @author Stefan Stiller
 * @version $Revision: 1.4 $, $Date: 2006/03/24 18:04:07 $
 */
public class TableTextField extends JTextField
{
	public void setDocument(Document doc)
	{
		super.setDocument(doc);
		if (doc!=null) doc.putProperty("filterNewlines", Boolean.FALSE);
	}

	public boolean processKeyBinding(KeyStroke ks, KeyEvent e, int condition, boolean pressed)
	{
		return super.processKeyBinding(ks, e, condition, pressed);
	}
}
